<assembly
    xmlns="http://maven.apache.org/ASSEMBLY/2.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/ASSEMBLY/2.0.0 http://maven.apache.org/xsd/assembly-2.0.0.xsd">
  <id>bin-${envClassifier}</id>
  <formats>
    <format>tar.gz</format>
    <format>dir</format>
    <!--format>tar.bz2</format>
    <format>zip</format-->
  </formats>
  <dependencySets>
    <dependencySet>
      <!-- add all dependencies except autoquest-runner into the lib directory -->
      <!-- useAllReactorProjects>true</useAllReactorProjects-->
      <includes></includes>
      <excludes>
        <exclude>de.ugoe.cs.autoquest:autoquest-runner</exclude>
      </excludes>
      <outputDirectory>lib</outputDirectory>
      <unpack>false</unpack>
    </dependencySet>
    <dependencySet>
      <!-- add only autoquest-runner to the main directory -->
      <includes>
          <include>de.ugoe.cs.autoquest:autoquest-runner</include>
      </includes>
      <useTransitiveDependencies>false</useTransitiveDependencies>
      <outputDirectory></outputDirectory>
      <unpack>false</unpack>
    </dependencySet>
  </dependencySets>
  <fileSets>
    <fileSet>
      <directory>target/bin</directory>
      <outputDirectory>bin</outputDirectory>
      <fileMode>775</fileMode>
      <includes>
        <include>*</include>
      </includes>
    </fileSet>
    <fileSet>
      <directory>target/data</directory>
      <outputDirectory>data</outputDirectory>
      <excludes>
        <exclude>META-INF/**</exclude>
      </excludes>
    </fileSet>
  </fileSets>
</assembly>